
---
# Step Down 5 click

> PRVIH_PAR_RECENICA_SA_PRODUCT_PAGE_DA_ISPRATE_CELINU

<p align="center">
  <img src="CLICK_IMAGE_LINK" height=300px>
</p>

[click Product page](CLICK_PRODUCT_PAGE_LINK)

---


#### Click library

- **Author**        : Stefan Ilic
- **Date**          : Feb 2023.
- **Type**          : I2C type


# Software Support

We provide a library for the Step Down 5 Click
as well as a demo application (example), developed using MikroElektronika
[compilers](https://www.mikroe.com/necto-studio).
The demo can run on all the main MikroElektronika [development boards](https://www.mikroe.com/development-boards).

Package can be downloaded/installed directly from *NECTO Studio Package Manager*(recommended way), downloaded from our [LibStock&trade;](https://libstock.mikroe.com) or found on [Mikroe github account](https://github.com/MikroElektronika/mikrosdk_click_v2/tree/master/clicks).

## Library Description

> This library contains API for Step Down 5 Click driver.

#### Standard key functions :

- `stepdown5_cfg_setup` Config Object Initialization function.
```c
void stepdown5_cfg_setup ( stepdown5_cfg_t *cfg );
```

- `stepdown5_init` Initialization function.
```c
err_t stepdown5_init ( stepdown5_t *ctx, stepdown5_cfg_t *cfg );
```

- `stepdown5_default_cfg` Click Default Configuration function.
```c
err_t stepdown5_default_cfg ( stepdown5_t *ctx );
```

#### Example key functions :

- `FUNCTION_NAME` FUNCTION_DESCRIPTION
```c
FUNCTION_DECLARATION
```

- `FUNCTION_NAME` FUNCTION_DESCRIPTION
```c
FUNCTION_DECLARATION
```

- `FUNCTION_NAME` FUNCTION_DESCRIPTION
```c
FUNCTION_DECLARATION
```

## Example Description

> EXAMPLE_DESCRIPTION

**The demo application is composed of two sections :**

### Application Init

> APPLICATION_INIT_DESCRIPTION

```c

void application_init ( void )
{

}

```

### Application Task

> APPLICATION_TASK_DESCRIPTION

```c
void application_task ( void )
{

}
```

## Note

> NOTE_IF_REQUIRED

The full application code, and ready to use projects can be installed directly from *NECTO Studio Package Manager*(recommended way), downloaded from our [LibStock&trade;](https://libstock.mikroe.com) or found on [Mikroe github account](https://github.com/MikroElektronika/mikrosdk_click_v2/tree/master/clicks).

**Other Mikroe Libraries used in the example:**

- MikroSDK.Board
- MikroSDK.Log
- Click.StepDown5

**Additional notes and informations**

Depending on the development board you are using, you may need
[USB UART click](https://www.mikroe.com/usb-uart-click),
[USB UART 2 Click](https://www.mikroe.com/usb-uart-2-click) or
[RS232 Click](https://www.mikroe.com/rs232-click) to connect to your PC, for
development systems with no UART to USB interface available on the board. UART
terminal is available in all MikroElektronika
[compilers](https://shop.mikroe.com/compilers).

---
